<?php
/**
 * The create rule view file of repo module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yang Li <liyang@chandao.com>
 * @package     repo
 * @link        https://www.zentao.net
 */
namespace zin;

$fields = useFields('repo.createrule');

formGridPanel
(
    on::change('#require_minimum_count')->call('loadRequireMinimumCount'),
    on::change('#require_identifiers')->call('loadRequireIdentifiers'),
    on::change('#strategies_allowed')->call('loadStrategiesAllowed'),
    set::title($lang->repo->createRule),
    set::fields($fields),
    set::modeSwitcher(false)
);
